Add a geofence to an existing group

Purpose: Use this API to add an asset to an existing group. You must specify the IDs of the assets that you are adding as body parameters. Refer to the Path and Body parameters for more info.

require 'uri'
require 'net/http'
require 'json'

url = URI('https://api.gomotive.com/v1/groups/<id>/geofences')

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request['Authorization'] = "Bearer <OAUTH_TOKEN>"
request['Content-Type'] = 'application/json'
params = {
  :ids                 => [4]
}
request.body = params.to_json

response = http.request(request)
puts response.read_body

Response Parameters

success

  • Type: Boolean
  • Description: Denotes if the geofence or geofences were added successfully to the group. Mostly the value for this parameter will be "true". Otherwise, you will see the status 400 appearing.

Path Params
int32
required

Specify the ID of the group to which you want to add a geofence.

Body Params
ids
object
Headers
string

Specify the timezone for formatting the timestamps.

boolean

Specify if you want to use the Metric units or the Imperial units. TRUE: Metric units. FALSE: Imperial Units

int32

Specify the ID of the Fleet Admin or the Fleet Manager who is accessing this endpoint.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json